% APRENDIZAJE AUTOMÁTICO: UN ENFOQUE PRÁCTICO
% Autores: María Guijarro, P. Javier Herrera y Gonzalo Pajares
% Copyright RA-MA, 2010
% Capítulo 3: COMBINACIÓN DE CLASIFICADORES

function [] = representacion_aprendizaje_2dim(v,c)

global X1;

hold off

q = 2; % proyección a la dimensión q (en este caso bidimensional)
[y,vp,V,D] = Componentes_principales(X1,v,q,c);

%figure; 
plot(y(:,1),y(:,2),'k.','LineWidth',3)

if c == 1
  hold on; plot(vp(1,1),vp(1,2),'gd','LineWidth',5)
end

if c == 2
  hold on; plot(vp(1,1),vp(1,2),'gd','LineWidth',5)
  hold on; plot(vp(2,1),vp(2,2),'rd','LineWidth',5)
end

if c == 3
  hold on; plot(vp(1,1),vp(1,2),'gd','LineWidth',5)
  hold on; plot(vp(2,1),vp(2,2),'rd','LineWidth',5)
  hold on; plot(vp(3,1),vp(3,2),'bd','LineWidth',5)
end

if c == 4
  hold on; plot(vp(1,1),vp(1,2),'gd','LineWidth',5)
  hold on; plot(vp(2,1),vp(2,2),'rd','LineWidth',5)
  hold on; plot(vp(3,1),vp(3,2),'bd','LineWidth',5)
  hold on; plot(vp(4,1),vp(4,2),'yd','LineWidth',5)   
end
if c == 5
  hold on; plot(vp(1,1),vp(1,2),'gd','LineWidth',5)
  hold on; plot(vp(2,1),vp(2,2),'rd','LineWidth',5)
  hold on; plot(vp(3,1),vp(3,2),'bd','LineWidth',5)
  hold on; plot(vp(4,1),vp(4,2),'yd','LineWidth',5)   
  hold on; plot(vp(5,1),vp(5,2),'cd','LineWidth',5)   
end
if c == 6
  hold on; plot(vp(1,1),vp(1,2),'gd','LineWidth',5)
  hold on; plot(vp(2,1),vp(2,2),'rd','LineWidth',5)
  hold on; plot(vp(3,1),vp(3,2),'bd','LineWidth',5)
  hold on; plot(vp(4,1),vp(4,2),'yd','LineWidth',5)   
  hold on; plot(vp(5,1),vp(5,2),'cd','LineWidth',5)   
  hold on; plot(vp(6,1),vp(6,2),'md','LineWidth',5)   
end
if c == 7
  hold on; plot(vp(1,1),vp(1,2),'gd','LineWidth',5)
  hold on; plot(vp(2,1),vp(2,2),'rd','LineWidth',5)
  hold on; plot(vp(3,1),vp(3,2),'bd','LineWidth',5)
  hold on; plot(vp(4,1),vp(4,2),'yd','LineWidth',5)   
  hold on; plot(vp(5,1),vp(5,2),'cd','LineWidth',5)   
  hold on; plot(vp(6,1),vp(6,2),'md','LineWidth',5)   
  hold on; plot(vp(7,1),vp(7,2),'kd','LineWidth',5)   
end
if c == 8
  hold on; plot(vp(1,1),vp(1,2),'gd','LineWidth',5)
  hold on; plot(vp(2,1),vp(2,2),'rd','LineWidth',5)
  hold on; plot(vp(3,1),vp(3,2),'bd','LineWidth',5)
  hold on; plot(vp(4,1),vp(4,2),'yd','LineWidth',5)   
  hold on; plot(vp(5,1),vp(5,2),'cd','LineWidth',5)   
  hold on; plot(vp(6,1),vp(6,2),'md','LineWidth',5)   
  hold on; plot(vp(7,1),vp(7,2),'kd','LineWidth',5)   
  hold on; plot(vp(8,1),vp(8,2),'wd','LineWidth',5)   
end
grid on